<script lang="ts" setup>
import type { Picture } from '~/entities';



const picture = ref<Picture>({
  title: '',
  description: '',
  image: ''
});
const file = ref<File>();

function handleFile(event: Event) {
  const target = event.target as HTMLInputElement;
  if (target.files && target.files[0]) {
    file.value = target.files[0];
  }
}

async function postPicture() {
  if (!file.value) return;

  const formData = new FormData();
  formData.append('image', file.value);
  const imgName = await $api<string>('/api/picture/upload', {
    method: 'POST',
    body:formData
  });
  picture.value.image = imgName;
  const added = await $api<Picture>('/api/picture', {
    method:'POST',
    body: picture.value
  });
  navigateTo('/picture/'+added.id);
}

</script>

<template>
  <form @submit.prevent="postPicture()">
    <label>
      Title
      <input type="text" class="form-control" v-model="picture.title">
    </label>
    <label>
      Description
      <textarea class="form-control" v-model="picture.description"></textarea>
    </label>

    <label>
      Image
      <input required accept="image/*" type="file" class="form-control" @change="handleFile($event)">
    </label>
    <button class="btn btn-primary">Add</button>


  </form>
</template>

<style scoped></style>
